Subject: Re: bug#27967: [PATCH] maint: Create an ISO9660 installation image in the 'release' target.

From: Danny Milosavljevic <[email-masked]>
Date: Sat, 19 Aug 2017 12:48:20 +0200

Hi ng0,

On Sat, 19 Aug 2017 09:13:09 +0000
ng0 <[email-masked]> wrote:

> Danny Milosavljevic transcribed 0.2K bytes:
> > Pushed to master as d79013f66a98dca24e11193c43e78364043d0c16 with minimal changes (to the generated filename to keep it the same as before).  This means that our releases can now also be booted from DVD.  
> 
> I think there's the need to mention .iso extensions of the files,
> pr .iso.xz in case we compress them.

Hmm... what would that improve?

> This hasn't happened in the commit.

Indeed it hasn't.  The file names are the same as in the original.  That's mainly because I don't know what other scripts (possibly not in the Guix git repo) use these names and expect them to be as they were.

Also, there are a lot of systems which will never boot from DVD and also don't use Grub but rather boot from some strange fixed-position sector.  For those we'd not use grub-mkrescue (and hence no iso but rather a whole-disk image of a hard drive).  But then these images' names would be different.

So in the end if we conditionally changed the name I think we'd increase our maintenance burden for no gain (that I can see).

I've submitted a patch adding ".iso" anyway just now - not applied.